### Method

# Gimp Procedure set_argument_sync

#### Declaration [src]

    void
    gimp_procedure_set_argument_sync (
      GimpProcedure* procedure,
      const gchar* arg_name,
      GimpArgumentSync sync
    )

#### Description [src]

When using `GimpProcedureConfig`, `gimp_procedure_config_begin_run()` and gimp_procedure_config_end_run(), a `GimpProcedure`‘s arguments or auxiliary arguments can be automatically synced with a `GimpParasite` of the `GimpImage` the procedure is running on.

In order to enable this, set `sync` to `GIMP_ARGUMENT_SYNC_PARASITE`.

Currently, it is possible to sync a string argument of type `GParamSpecString` with an image parasite of the same name, for example the “gimp-comment” parasite in file save procedures.

Available since: | 3.0

#### Parameters

`arg_name` | `const gchar*`
| The name of one of `procedure`‘s arguments or auxiliary arguments.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`sync` | `GimpArgumentSync`
| How to sync the argument or auxiliary argument.